%define api_version 1.7

Summary:		A GNU tool for automatically creating Makefiles.
Name:			automake17
License:		GPL
Group:			Development/Tools
Version:		%{api_version}.5
Release:		1
Source0:		ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.bz2
BuildArchitectures:	noarch
Buildroot:		%{_tmppath}/%{name}-%{release}-root
Requires:		perl
Buildrequires:		autoconf >= 2.54

%description
Automake is an experimental Makefile generator. Automake was inspired
by the 4.4BSD make and include files, but aims to be portable and to
conform to the GNU standards for Makefile variables and targets.

%files
  %defattr(-,root,root)
  %doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
  %{_bindir}/*-%{api_version}
  %exclude %{_bindir}/automake
  %exclude %{_bindir}/aclocal
  %{_datadir}/automake-%{api_version}
  %{_datadir}/aclocal-%{api_version}
  %dir %{_datadir}/aclocal

%prep
%setup -q -n automake-%{version}
%build
  %configure
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  # create this dir empty so we can own it
  mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/aclocal

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT%{_infodir}/dir
  rm -f $RPM_BUILD_ROOT/%{_infodir}/automake.info*

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.7.5, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
